# ListUFSquareModel - ListUFSquareModel

## Overview

Query model square data






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUFSquareModel`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |No|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ModelType** | string | Model Type |No|
| **Keyword** | string | Keyword |No|
| **Offset** | int | Offset |No|
| **Limit** | int | Number of items per page |No|
| **OrderBy** | string | Sort Field |No|
| **Order** | string | Sort order, default descending |No|
| **MaxModelLen.N** | int | MaxModelLen, array type, options: [0,4096,16384,32768,131072,256000,262144,1048576] |No|
| **Language.N** | string | Language, array type, options: ["chinese", "english"] |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | total Count |**Yes**|
| **SquareModels** | array[[*SquareModel*](#squaremodel)] | Square Model |**Yes**|

#### Data Model


#### SquareModel

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | string | Primary Key |No|
| **Name** | string | Name |No|
| **SimpleDescribe** | string | Brief Description |No|
| **Describe** | string | Detailed Description |No|
| **Language** | array[string] | Language |No|
| **MaxModelLen** | int | Model Length |No|
| **ModelType** | string | Model Type |No|
| **HfUpdateTime** | int | HuggingFace Update Time |No|
| **CreateAt** | int | Create At |No|
| **UpdateAt** | int | Update At |No|
| **SupportedCapabilities** | array[string] | Supported Capabilities |No|
| **Icon** | string | Icon |No|
| **Pricing** | [*Pricing*](#pricing) | Pricing |No|

#### Pricing

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Completion** | float | Completion |No|
| **Prompt** | float | Prompt |No|
| **Image** | float | Image |No|
| **Currency** | string | Currency |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=ListUFSquareModel
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=jeBXhvUY
&ModelType=ooGwbevC
&MaxModelLen=RntjYoVL
&Keyword=CwciILMu
&Language=nBzKikde
&Offset=3
&Limit=5
&OrderBy=mtKYCGmg
&Order=EHqJJScF
```

### Response Example
    
```json
{
  "Action": "ListUFSquareModelResponse",
  "RetCode": 0,
  "SquareModels": [
    "RPQHcFey"
  ],
  "TotalCount": "QlXKGgmL"
}
```





